Package org.eclipse.jface.wizard

# Class WizardSelectionPage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.wizard.WizardPage
org.eclipse.jface.wizard.WizardSelectionPage

All Implemented Interfaces:
  `IDialogPage`, `IMessageProvider`, `IWizardPage`

public abstract class WizardSelectionPage extends WizardPage
An abstract implementation of a wizard page that manages a set of embedded wizards.

A wizard selection page should present a list of wizard nodes corresponding to other wizards. When the end user selects one of them from the list, the first page of the selected wizard becomes the next page. The only new methods introduced by this class are `getSelectedNode` and `setSelectedNode`. Otherwise, the subclass contract is the same as `WizardPage`.

## Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WizardSelectionPage(String pageName)`
Creates a new wizard selection page with the given name, and with no title or image.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canFlipToNextPage()`
The `WizardSelectionPage` implementation of this `IWizardPage` method returns `true` if there is a selected node.
`void`
`dispose()`
The `WizardSelectionPage` implementation of an `IDialogPage` method disposes of all nested wizards.
`IWizardPage`
`getNextPage()`
The `WizardSelectionPage` implementation of this `IWizardPage` method returns the first page of the currently selected wizard if there is one.
`IWizardNode`
`getSelectedNode()`
Returns the currently selected wizard node within this page.
`protected void`
`setSelectedNode(IWizardNode node)`
Sets or clears the currently selected wizard node within this page.

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`getContainer, getDialogSettings, getImage, getName, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

### Methods inherited from interface org.eclipse.jface.wizard.IWizardPage

`getMinimumPageSize`

## Constructor Details

### WizardSelectionPage

protected WizardSelectionPage(String pageName)
Creates a new wizard selection page with the given name, and with no title or image.

Parameters:
  `pageName` - the name of the page

## Method Details

### canFlipToNextPage

public boolean canFlipToNextPage()
The `WizardSelectionPage` implementation of this `IWizardPage` method returns `true` if there is a selected node.

Specified by:
  `canFlipToNextPage` in interface `IWizardPage`
Overrides:
  `canFlipToNextPage` in class `WizardPage`
Returns:
  `true` if the next page could be displayed, and `false` otherwise
See Also:
  - `WizardPage.getNextPage()`
  - `WizardPage.isPageComplete()`

### dispose

public void dispose()
The `WizardSelectionPage` implementation of an `IDialogPage` method disposes of all nested wizards. Subclasses may extend.

Specified by:
  `dispose` in interface `IDialogPage`
Overrides:
  `dispose` in class `DialogPage`

### getNextPage

public IWizardPage getNextPage()
The `WizardSelectionPage` implementation of this `IWizardPage` method returns the first page of the currently selected wizard if there is one.

Specified by:
  `getNextPage` in interface `IWizardPage`
Overrides:
  `getNextPage` in class `WizardPage`
Returns:
  the next wizard page, or `null` if none

### getSelectedNode

public IWizardNode getSelectedNode()
Returns the currently selected wizard node within this page.

Returns:
  the wizard node, or `null` if no node is selected

### setSelectedNode

protected void setSelectedNode(IWizardNode node)
Sets or clears the currently selected wizard node within this page.

Parameters:
  `node` - the wizard node, or `null` to clear